Bug 439769 - Conflict between blt-2.4-26.fc9 and iwidgets-4.0.2-1.fc9
Conflict between blt-2.4-26.fc9 and iwidgets-4.0.2-1.fc9
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: blt (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Wart
Fedora Extras Quality Assurance
:
: 437617 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 06:41 EDT by David Jansen
Modified: 2008-05-14 09:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 11:19:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jansen 2008-03-31 06:41:40 EDT
Description of problem:
The tcl/tk extensions blt and iwidgets seem to conflict in Fedora 9 beta:

# yum -y install iwidgets
Loaded plugins: fedorakmod, priorities, refresh-packagekit
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package iwidgets.noarch 0:4.0.2-1.fc9 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 iwidgets                noarch     4.0.2-1.fc9      rawhide           603 k

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         
Total size: 603 k
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test

Transaction Check Error:
  file /usr/share/man/mann/tabset.n.gz from install of
iwidgets-4.0.2-1.fc9.noarch conflicts with file from package blt-2.4-26.fc9.i386
  file /usr/share/man/mann/watch.n.gz from install of
iwidgets-4.0.2-1.fc9.noarch conflicts with file from package blt-2.4-26.fc9.i386

Error Summary
-------------

Same results when installing iwidgets first and attempting to install blt later.

Additional info:
On Fedora 7, blt didn't contain any man pages, maybe that explains why the
problem didn't occur there. I have no fedora 8 system available to compare the
results there.
Comment 1 Sergio Pascual 2008-03-31 06:53:44 EDT
In f8, blt doesn't contain man pages
Comment 2 Wart 2008-04-03 10:32:30 EDT
Since blt contains html documentation in /usr/share/doc/blt-<version>, the man
pages don't add anything extra so I'll just remove them.
Comment 3 Wart 2008-04-03 10:37:24 EDT
*** Bug 437617 has been marked as a duplicate of this bug. ***
Comment 4 David Jansen 2008-05-14 09:10:47 EDT
OK in fedora 9 final

Note You need to log in before you can comment on or make changes to this bug.